import std.stdio;
import std.conv;
import asyncsocket;

int main(char[][] args)
{
	if (args.length < 3)
	{
		writefln("USAGE: telnet host port\n");
		return 1;
	}
	
	AsyncSocket s = new AsyncSocket();
	s.connect(args[1], toShort(args[2]));
	s.start();

	ubyte[8192] data;
	ubyte key;
	size_t r;

	while(s.isConnected()) {
		r = s.read(data);
		if (r) writef("%s",cast(char[])data[0..r]);
		
		while (kbhit()) {
			key = getch();
			s.write(key);
			if (key == '\r') s.write('\n');
		}
		
		msleep(1);
	}
	
	r = s.read(data);
	if (r) writef("%s",cast(char[])data[0..r]);
	
	return 0;
}
